From f486d56bc18a8ae58ac43a721e2992a7903117d7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 16:26:32 +0000
Subject: [PATCH 833/2232] Consistent signature for symlink_or_copy across platforms


---

diff --git a/gen/build/src/paths.rs b/gen/build/src/paths.rs
index 96e3708..d4b2ebb 100644
--- a/gen/build/src/paths.rs
+++ b/gen/build/src/paths.rs
@@ -99,7 +99,7 @@ pub(crate) fn search_parents_for_target_dir(out_dir: &Path) -> TargetDir {
 pub(crate) use self::fs::symlink_file as symlink_or_copy;
 
 #[cfg(windows)]
-pub(crate) fn symlink_or_copy(src: impl AsRef<Path>, dst: impl AsRef<Path>) -> Result<()> {
+pub(crate) fn symlink_or_copy(src: impl AsRef<Path>, dst: impl AsRef<Path>) -> fs::Result<()> {
     // Pre-Windows 10, symlinks require admin privileges. Since Windows 10, they
     // require Developer Mode. If it fails, fall back to copying the file.
     let src = src.as_ref();
@@ -117,6 +117,6 @@ pub(crate) use self::fs::copy as symlink_or_copy;
 pub(crate) use self::fs::symlink_dir;
 
 #[cfg(not(any(unix, windows)))]
-pub(crate) fn symlink_dir(_src: impl AsRef<Path>, _dst: impl AsRef<Path>) -> Result<()> {
+pub(crate) fn symlink_dir(_src: impl AsRef<Path>, _dst: impl AsRef<Path>) -> fs::Result<()> {
     Ok(())
 }
diff --git a/gen/src/fs.rs b/gen/src/fs.rs
index fe15f86..f135a8a 100644
--- a/gen/src/fs.rs
+++ b/gen/src/fs.rs
@@ -5,7 +5,7 @@ use std::fmt::{self, Display};
 use std::io;
 use std::path::{Path, PathBuf};
 
-type Result<T> = std::result::Result<T, Error>;
+pub(crate) type Result<T> = std::result::Result<T, Error>;
 
 #[derive(Debug)]
 pub(crate) struct Error {

